## ros-iron-rcss3d-agent-basic 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rcss3d_agent_basic)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rcss3d_agent REQUIRED)
find_package(rclcpp_components REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  rcss3d_agent
  rclcpp_components)

# Build
add_library(${PROJECT_NAME}_node SHARED
  src/rcss3d_agent_basic_node.cpp)
target_include_directories(${PROJECT_NAME}_node PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

rclcpp_components_register_node(${PROJECT_NAME}_node
  PLUGIN "rcss3d_agent_basic::Rcss3dAgentBasicNode"
  EXECUTABLE ${PROJECT_NAME})

ament_target_dependencies(${PROJECT_NAME}_node ${THIS_PACKAGE_INCLUDE_DEPENDS})

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

# Install
install(
  DIRECTORY include/
  DESTINATION include)
install(
  TARGETS ${PROJECT_NAME}_node
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include)

# Test
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

# Package
ament_package()

=== debian/changelog ===
ros-iron-rcss3d-agent-basic (0.4.1-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Thu, 30 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.4.0-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Wed, 29 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.3.1-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Mon, 27 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.3.0-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Tue, 14 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.7-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 23 Apr 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.6-3jammy) jammy; urgency=high

  * add synchronize subscription
  * remove leading slash from topic name
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 03 Feb 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.5-3jammy) jammy; urgency=high

  * comunicate that the node has to be restarted
  * define perceptPub so rcss3dAgent is destroyed before perceptPub
  * add a model parameter so differnet types of robots can be loaded
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Wed, 02 Feb 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.4-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Jan 2022 16:00:00 -0000

ros-iron-rcss3d-agent-basic (0.0.3-3jammy) jammy; urgency=high

  * refactor rcss3d_agent_node to rcss3d_agent_basic, and make it a component that can be run as a standalone executable
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 27 Jan 2022 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rcss3d-agent-basic
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp-components, ros-iron-rcss3d-agent, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rcss3d-agent-basic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp-components, ros-iron-rcss3d-agent, ros-iron-ros-workspace
Description: Basic rcss3d agent node that uses rcss3d_agent_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rcss3d-agent-basic//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
